import { Menu, MenuView } from "../ui/menus/menu";
import { Toolbar } from "./toolbar";
export class ToolMenuView extends MenuView {
    static __name__ = "ToolMenuView";
    _compute_menu_items() {
        const { items } = this.model.toolbar.to_menu();
        return items;
    }
    connect_signals() {
        super.connect_signals();
        const { toolbar } = this.model.properties;
        this.on_transitive_change(toolbar, () => this._update_menu_items());
    }
}
export class ToolMenu extends Menu {
    static __name__ = "ToolMenu";
    constructor(attrs) {
        super(attrs);
    }
    static {
        this.prototype.default_view = ToolMenuView;
        this.define(({ Ref }) => ({
            toolbar: [Ref(Toolbar)],
        }));
    }
}
//# sourceMappingURL=tool_menu.js.map